
#include <string.h>
#include <stdlib.h>

#include <cairo-dock.h>

#include "applet-struct.h"
#include "applet-draw.h"
#include "applet-config.h"


extern double my_fCheckInterval;
extern gchar **my_cTrashDirectoryList;
extern cairo_surface_t *my_pEmptyBinSurface;
extern cairo_surface_t *my_pFullBinSurface;
extern GHashTable *my_pThemeTable;
extern gchar *my_theme;
extern gchar *my_cBrowser;


CD_APPLET_CONFIG_BEGIN ("Poubelle", NULL)
	my_theme = cairo_dock_get_string_key_value (pKeyFile, "MODULE", "theme", &bFlushConfFileNeeded, "default");
	
	my_fCheckInterval = cairo_dock_get_double_key_value (pKeyFile, "MODULE", "check interval", &bFlushConfFileNeeded, 2.);
	
	my_cBrowser = cairo_dock_get_string_key_value (pKeyFile, "MODULE", "file browser", &bFlushConfFileNeeded, "xdg-open");
	
	//\_______________ On recupere la liste des repertoires faisant office de poubelle.
	gsize length = 0;
	gchar *cDefaultTrashDir = g_strdup_printf ("%s/.Trash", getenv ("HOME"));
	my_cTrashDirectoryList = cairo_dock_get_string_list_key_value (pKeyFile, "MODULE", "trash directories", &bFlushConfFileNeeded, &length, cDefaultTrashDir);
	g_free (cDefaultTrashDir);
	
	int i = 0;
	if (my_cTrashDirectoryList != NULL)
	{
		gchar *cCompletePath;
		while (my_cTrashDirectoryList[i] != NULL)
		{
			if (*my_cTrashDirectoryList[i] == '~')
			{
				cCompletePath = g_strdup_printf ("%s%s", getenv ("HOME"), my_cTrashDirectoryList[i]+1);
				g_free (my_cTrashDirectoryList[i]);
				my_cTrashDirectoryList[i] = cCompletePath;
			}
			i ++;
		}
	}
	
	//\_______________ On charge la liste des themes disponibles.
	gchar *cThemesDir = g_strdup_printf ("%s/themes", MY_APPLET_SHARE_DATA_DIR);
	my_pThemeTable = cairo_dock_list_themes (cThemesDir, NULL, &erreur);
	if (erreur != NULL)
	{
		g_print ("Attention : %s\n", erreur->message);
		g_error_free (erreur);
		return ;
	}
CD_APPLET_CONFIG_END
